Name:          clusterssh
Version:       3.28
Release:       1.1
Summary:       Secure concurrent multi-server terminal control

Group:         Applications/Productivity
License:       GPL
URL:           http://clusterssh.sourceforge.net
Source0:       http://osdn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
BuildRequires: desktop-file-utils
Requires:      perl-Tk perl-X11-Protocol

%if 0%{?suse_version}
BuildRequires:	update-desktop-files
%endif

%description
Control multiple terminals open on different servers to perform administration
tasks, for example multiple hosts requiring the same config within a cluster.
Not limited to use with clusters, however.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/%{_datadir}/applications
install -p -m 644 %{name}.desktop \
        %{buildroot}/%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/
install -p -m 644 %{name}-48x48.png \
        %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/
install -p -m 644 %{name}-32x32.png \
        %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/24x24/apps/
install -p -m 644 %{name}-24x24.png \
        %{buildroot}/%{_datadir}/icons/hicolor/24x24/apps/%{name}.png

%if 0%{?suse_version}
%suse_update_desktop_file -n    %{name}      Utility Shell
%endif

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README NEWS ChangeLog
%{_bindir}/cssh
%{_mandir}/man1/*.1*
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/24x24
%dir %{_datadir}/icons/hicolor/24x24/apps
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/apps
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/clusterssh.desktop

%changelog
* Wed Jan 20 2010 Carsten Schoene <cs@linux-administrator.com> - 3.28-1
- update to release 3.28

* Thu Sep 24 2009 Carsten Schoene <cs@linux-administrator.com> - 3.27-1
- update to release 3.27

* Tue Jun 02 2009 Carsten Schoene <cs@linux-administrator.com> - 3.26-1
- update to release 3.26

* Fri Jan 25 2008 Carsten Schoene <cs@linux-administrator.com> - 3.22-1
- version bump to 3.22
 - Update X resources class to allow use of terms other than XTerm
 - Apply patch from Harald Weidner to stop error messages in Debian Etch
 - Add in key shortcut (alt-h) to toggle history window
 - Tidy up pod a little to highlight notes better
 - Check terminal_font config for quotes and remove
 - Enable use of "configure --sysconfdir=", defaults to /etc
 - Revise host checking algorithm to take ssh_config files into account
 - Revise username check used as part of host id to accept more chars
 - Correct year value for previous two entries from 2008 to 2007
- version 3.21 changes:
 - Implement a basic history window in the console (option -s)
 - Fixed bug whereby username@ wasn't being used correctly

* Mon Jul 24 2006 Duncan Ferguson <duncan_ferguson@users.sf.net> - 3.19.1-1
- Update Changelog, commit all branch changes and release

* Tue Jul 18 2006 Duncan Ferguson <duncan_ferguson@users.sf.net> - 3.18.2.10-2
- Correct download URL (Source0)

* Mon Jul 17 2006 Duncan Ferguson <duncan_ferguson@users.sf.net> - 3.18.2.10-1
- Lots of amendments and fixes to clusterssh code
- Added icons and desktop file
- Submitted to Fedora Extras for review

* Mon Nov 28 2005 Duncan Ferguson <duncan_ferguson@users.sf.net> - 3.18.1-1
- Updates and bugfixes to cssh
- Updates to man page
- Re-engineer spec file

* Tue Aug 30 2005 Duncan Ferguson <duncan_ferguson@users.sf.net> - 3.17.1-2
- spec file tidyups

* Mon Apr 25 2005 Duncan Ferguson <duncan_ferguson@users.sf.net> - 3.0
- Please see ChangeLog in documentation area

